<!DOCTYPE html>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php mts_meta(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>
<body id ="blog" <?php body_class('main'); ?> itemscope itemtype="http://schema.org/WebPage">       
	<div class="main-container">
		<header class="main-header clearfix" role="banner" itemscope itemtype="http://schema.org/WPHeader" <?php echo ($mts_options['mts_sticky_nav'] == '1' ? 'id="sticky"' : '')?>>
			<div class="container">
				<div id="header">
					<div class="logo-wrap">
						<?php if ($mts_options['mts_logo'] != '') { ?>
							<?php if( is_front_page() || is_home() || is_404() ) { ?>
									<h1 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><img src="<?php echo $mts_options['mts_logo']; ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
									</h1><!-- END #logo -->
							<?php } else { ?>
								  <h2 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><img src="<?php echo $mts_options['mts_logo']; ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
									</h2><!-- END #logo -->
							<?php } ?>
						<?php } else { ?>
							<?php if( is_front_page() || is_home() || is_404() ) { ?>
									<h1 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
									</h1><!-- END #logo -->
							<?php } else { ?>
								  <h2 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
									</h2><!-- END #logo -->
							<?php } ?>
						<?php } ?>
					</div>  
					<div class="primary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
						<nav id="navigation" class="clearfix">
							<a href="#" id="pull" class="toggle-mobile-menu"><?php _e('Menu','mythemeshop'); ?></a>
							<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
								<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
							<?php } else { ?>
								<ul class="menu clearfix">
									<li><a href="<?php echo home_url(); ?>/#features">
										<?php if ($mts_options['mts_features_title'] != '') { echo $mts_options['mts_features_title']; } else { _e('Features','mythemeshop'); } ?>
									</a></li>
									<li><a href="<?php echo home_url(); ?>/#video">
										<?php if ($mts_options['mts_video_title'] != '') { echo $mts_options['mts_video_title']; } else { _e('Video','mythemeshop'); } ?>
									</a></li>
									<li><a href="<?php echo home_url(); ?>/#screenshots">
										<?php if ($mts_options['mts_screenshots_title'] != '') { echo $mts_options['mts_screenshots_title']; } else { _e('Screenshots','mythemeshop'); } ?>
									</a></li>
									<li><a href="<?php echo home_url(); ?>/#reviews">
										<?php if ($mts_options['mts_reviews_title'] != '') { echo $mts_options['mts_reviews_title']; } else { _e('Reviews','mythemeshop'); } ?>
									</a></li>
									<li><a href="<?php echo home_url(); ?>/#contact">
										<?php if ($mts_options['mts_contact_title'] != '') { echo $mts_options['mts_contact_title']; } else { _e('Contact','mythemeshop'); } ?>
									</a></li>
								</ul>
							<?php } ?>
						</nav>
					</div>           
				</div><!--#header-->
			</div><!--.container-->        
		</header>
        <?php if($mts_options['mts_sticky_nav'] == '1') { ?>
            <div id="catcher"></div>
        <?php } ?>